Debian Bug report logs - #662840
RFP: wims-java-applets -- applets for modules used by the WIMS server

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Georges Khaznadar <georgesk@ofset.org>

Date: Tue, 6 Mar 2012 18:45:06 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#662840; Package wnpp. (Tue, 06 Mar 2012 18:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georgesk@ofset.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 06 Mar 2012 18:45:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georgesk@ofset.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: wims-java-applets -- applets for modules used by the WIMS server
Date: Tue, 06 Mar 2012 18:43:03 +0000
Package: wnpp
Severity: wishlist
Owner: Georges Khaznadar <georgesk@ofset.org>

* Package name    : wims-java-applets
  Version         : 2012.03.05+svn5129
  Upstream Author : oke Evers <jm.evers@schaersvoorde.nl>
* URL             : http://www.wimsedu.info
* License         : Public Domain
  Programming Lang: Java
  Description     : applets for modules used by the WIMS server
 This package was formerly made from the source package for wims.
 However, wims cannot be built completely on architectures which have
 no JVM available, so it could not enter testing. Hence the separation of the
 source packages.
 .
 Wims recommends wims-java-applets.
 .
 Wims' modules implement every user interface beyond its main page,
 the non exhaustive list of the features is: administrative tasks, help,
 and a few interactive exercises, mathematic tools, libraries ...
 .
 This package does not contain the thousands of exercices which are
 partly provided by the optional package wims-extra.
 .
 Other educational contents can be downloaded outside of the Debian
 system by automated updates. See http://www.wimsedu.info




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#662840; Package wnpp. (Wed, 07 Mar 2012 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>. (Wed, 07 Mar 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 662840@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Georges Khaznadar <georgesk@ofset.org>, 662840@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#662840: ITP: wims-java-applets -- applets for modules used by the WIMS server
Date: Wed, 07 Mar 2012 16:33:19 +0100
On 2012-03-06 19:43, Georges Khaznadar wrote:
>   Programming Lang: Java
>   Description     : applets for modules used by the WIMS server
>  This package was formerly made from the source package for wims.
>  However, wims cannot be built completely on architectures which have
>  no JVM available, so it could not enter testing. Hence the separation of the
>  source packages.

Why can't these java package(s) just be not built on "non-java"
architectures?

I just looked around a bit around with
  build-rdeps openjdk-6-jdk
and then ran rmadison on randomly selected resulting packages to find
some that have Arch: any packages in addition to the java ones ... First
hit was
  swi-prolog
You may want to take a look at their approach to combine building both
Arch: any and *-java packages from one source. It seems to boil down to
make the java package(s) Arch: some instead of Arch: all.

IIRC splitting source packages to create multiple source packages (or
reintroducing copies of the same source in the archive) is not recommended.

I'm pretty sure the problem of Arch: all packages being not buildable on
all architectures (because some build-deps(-indep) are not available on
all architectures) has been discussed before.


Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#662840; Package wnpp. (Fri, 09 Mar 2012 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>. (Fri, 09 Mar 2012 09:39:08 GMT) Full text and rfc822 format available.

Message #15 received at 662840@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georges.khaznadar@free.fr>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 662840@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#662840: ITP: wims-java-applets -- applets for modules used by the WIMS server
Date: Fri, 9 Mar 2012 09:37:34 +0000
[Message part 1 (text/plain, inline)]
Hello Andreas,

thank you for your feedback.

Andreas Beckmann a écrit :
> ... First
> hit was
>   swi-prolog
> You may want to take a look at their approach to combine building both
> Arch: any and *-java packages from one source. It seems to boil down to
> make the java package(s) Arch: some instead of Arch: all.
> 
> IIRC splitting source packages to create multiple source packages (or
> reintroducing copies of the same source in the archive) is not recommended.

I am releasing a new version of wims' package (4.03a-4), with the 
following changelog:

------------------8<---------------------------
wims (4.03a-4) unstable; urgency=low

  * restored the build of the package wims-java-applets. This package is now
    considered as Architecture: some. This is a bad trick, since it can
    be installed seamlessly on JVM-lacking architectures, and needs no
    JVM in localhost to be useful for other machines. However this trick
    will be used as a turnaround, just to enable wims' acceptance in
    testing. If a better solution is found, it will be applied then.
  * fixed the parameter WIMS_VERSION in Makefile
------------------8<---------------------------

> I'm pretty sure the problem of Arch: all packages being not buildable on
> all architectures (because some build-deps(-indep) are not available on
> all architectures) has been discussed before.

I thank in advance anyone who would hint a better solution to this issue.
In a few words, it should:
- allow the binary package wims-java-applets to be built once (in some
  architecture providing a JVM)
- allow all other binary packages to be built with Architecture: any
- allow this binary package to be installed on *all* architecture, since it
  has no dependency at all on the server machine.

Best regards,			Georges.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#662840; Package wnpp. (Mon, 27 May 2013 13:45:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>. (Mon, 27 May 2013 13:45:46 GMT) Full text and rfc822 format available.

Message #20 received at 662840@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 662840@bugs.debian.org
Cc: control@bugs.debian.org
Subject: wims-java-applets: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:20 +0200
retitle 662840 RFP: wims-java-applets -- applets for modules used by the WIMS server
noowner 662840
tag 662840 - pending
thanks

Hi,

This is an automatic email to change the status of wims-java-applets back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting wims-java-applets, please send a mail to
<control@bugs.debian.org> with:

 retitle 662840 ITP: wims-java-applets -- applets for modules used by the WIMS server
 owner 662840 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <662840@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: wims-java-applets -- applets for modules used by the WIMS server' from 'ITP: wims-java-applets -- applets for modules used by the WIMS server' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:49:48 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Georges Khaznadar <georgesk@ofset.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:49:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:56:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.